package com.ssj.framework.basic.common.bean;

import java.io.Serializable;
import java.util.List;

public class Page<T> implements Serializable{

    private static final long serialVersionUID = -328518255199109069L;

    private long pageNo;
    private long pageSize;
    private long rowCnt;
    private long pages;
    private List<T> list;

    public long getPageNo() {
        return pageNo;
    }

    public void setPageNo(long pageNo) {
        this.pageNo = pageNo;
    }

    public long getPageSize() {
        return pageSize;
    }

    public void setPageSize(long pageSize) {
        this.pageSize = pageSize;
    }

    public long getRowCnt() {
        return rowCnt;
    }

    public void setRowCnt(long rowCnt) {
        this.rowCnt = rowCnt;
    }

    public long getPages() {
        return pages;
    }

    public void setPages(long pages) {
        this.pages = pages;
    }

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }
}
